package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WaterElectricityFactory
{
    private WaterElectricityFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("9D5F2CA3") ,com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("9D5F2CA3") ,com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("9D5F2CA3"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterelectricity.IWaterElectricity)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("9D5F2CA3"));
    }
}